DtActionDescription(library call)

NAME
DtActionDescription — obtain the descriptive text for a given action

SYNOPSIS

#include &<Dt/Action.h>
char *DtActionDescription(
char *actionName);

DESCRIPTION

The DtActionDescription function looks up and returns the descriptive text associated with the actionName action. The actionName argument is the name of the action. If there are multiple actionName actions, the string returned is the description of the most general. The most general action is the one with the lowest precedence, as described in dtactionfile(4) (``Action Selection'').

RETURN VALUE

Upon successful completion, the DtActionDescription function returns a newly allocated copy of the description string associated with the action; otherwise, it returns NULL.

APPLICATION USAGE

The DtActionDescription function is useful for applications that wish to present information to the user about a particular action.

The application should use XtFree(3) to free the description string returned by DtActionDescription.

SEE ALSO

Dt/Action.h - DtAction(5), XtFree(3), dtactionfile(4), dtdtfile(4).